package com.platform.dao;

import java.util.List;

import org.springframework.stereotype.Repository;

import com.platform.entities.DataInfoEntityMoveTmp;

/**
 * @author chen
 * 数据迁移状态 临时 存放 ，
 */
@Repository(value = "dataInfoMoveTmpDao")
public interface DataInfoMoveTmpDao {

	/** 查
	 * @return
	 * @throws Exception
	 */
	List<DataInfoEntityMoveTmp> findAll() throws Exception;
	
	DataInfoEntityMoveTmp findById(int id) throws Exception;
	
	int update(DataInfoEntityMoveTmp data) throws Exception;
	
	int save(DataInfoEntityMoveTmp data) throws Exception;
	
	void insertBatch(List<DataInfoEntityMoveTmp> list) throws Exception;
	
	int remove(int id) throws Exception;
}
